### Method

# Fwupd Device incorporate

since: 1.1.0

#### Declaration [src]

    void
    fwupd_device_incorporate (
      FwupdDevice* self,
      FwupdDevice* donor
    )

#### Description [src]

Copy all properties from the donor object if they have not already been set.

Available since: 1.1.0

#### Parameters

`donor`

  Type: `FwupdDevice`

  Another `FwupdDevice`.

  The data is owned by the caller of the method.